# How to set it up

{% hint style="danger" %}
**Stop the evidence script you had before.**

**Clear the items created by the previous script completely from your inventory and item list.**
{% endhint %}

{% hint style="info" %}
Below are some important types and installation contents.
{% endhint %}

* Do not change the name of the script
* Put the script in the resources folder, do not use any folderisation.
* Prefer to start manually in server.cfg as follows.
* <mark style="background-color:orange;">wais-compatibility</mark> script is required. Named <mark style="background-color:orange;">wais-compatibility-hudv5</mark> in [Keymaster](https://keymaster.fivem.net)
* Take care to start the script manually after your core.

{% hint style="danger" %}
**This is not the layout and appearance that should be in Server.cfg**
{% endhint %}

```
ensure [yourcore]
ensure wais-compatibility
#ensure other-wais-scripts
ensure wais-evidence
```

***

{% hint style="info" %}
You need to read the SQL Files. If you cannot access the files, the queries are below.
{% endhint %}

SQL Table codes where we will keep Evidence data.

```sql
CREATE TABLE IF NOT EXISTS `wais_evidence` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job` varchar(15) DEFAULT NULL,
  `evidence_id` varchar(15) DEFAULT NULL,
  `details` longtext DEFAULT NULL,
  `time` timestamp NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;
```

***

{% hint style="danger" %}
**If you are not using QS or OX inventory in ESX Framework, you should also read this table**
{% endhint %}

```sql
CREATE TABLE IF NOT EXISTS `wais_analyses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `analyses_id` varchar(50) NOT NULL,
  `job` char(15) DEFAULT NULL,
  `data` longtext DEFAULT NULL,
  `time` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-evidence/how-to-set-it-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
